gnutls_x509_ext_export_authority_key_id(3)

NAME
gnutls_x509_ext_export_authority_key_id - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_export_authority_key_id(gnutls_x509_aki_t aki, gnutls_datum_t * ext);

ARGUMENTS

gnutls_x509_aki_t aki
    An initialized authority key identifier structure

gnutls_datum_t * ext
    The DER-encoded extension data; must be freed using gnutls_free().

DESCRIPTION
This function will convert the provided key identifier to a DER-encoded PKIX AuthorityKeyIdentifier extension. The output data in ext will be allocated using gnutls_malloc().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/